using System;
using System.ComponentModel.DataAnnotations;
using DiplomovaPrace.Model.Security;

namespace DiplomovaPrace.Model.Orders
{
	public class Address
	{
		public int ID { get; set; }

		[Required]
		[MaxLength(100)]
		public string FirstName { get; set; }

		[Required]
		[MaxLength(100)]
		public string LastName { get; set; }

		[Required]
		[MaxLength(20)]
		public string PhoneNumber { get; set; }

		[Required]
		[MaxLength(100)]
		public string City { get; set; }

		[Required]
		[MaxLength(100)]
		public string Street { get; set; }

		[Required]
		[MaxLength(20)]
		public string ZipCode { get; set; }

		[Required]
		[MaxLength(100)]
		public string State { get; set; }

		public LoginAccount LoginAccount { get; set; }

		public int? LoginAccountID { get; set; }

		public AddressType AddressType { get; set; }

		public int AddressTypeID { get; set; }

		public DateTime? Deleted { get; set; }
	}
}
